//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class Paginas
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Paginas()
        {
            this.Paginas1 = new HashSet<Paginas>();
            this.PermisosPaginas = new HashSet<PermisosPaginas>();
        }
    
        public int id { get; set; }
        public string nombre { get; set; }
        public string url { get; set; }
        public string icono { get; set; }
        public bool titulo { get; set; }
        public bool mainMenu { get; set; }
        public Nullable<int> idPadre { get; set; }
        public int orden { get; set; }
        public bool mostrar { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Paginas> Paginas1 { get; set; }
        public virtual Paginas Paginas2 { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<PermisosPaginas> PermisosPaginas { get; set; }
    }
}
